{-# OPTIONS_GHC -fno-warn-orphans #-}
{-# LANGUAGE TemplateHaskell #-}

-- | TH-derived Aeson instances for Data.Microformats2.
module Data.Microformats2.Aeson () where

import           Data.Microformats2
import           Data.Aeson.TH

$(deriveJSON defaultOptions ''Embedded)
$(deriveJSON defaultOptions{fieldLabelModifier = drop 3} ''Geo)
$(deriveJSON defaultOptions{fieldLabelModifier = drop 3} ''Adr)
$(deriveJSON defaultOptions{fieldLabelModifier = drop 4} ''Card)
$(deriveJSON defaultOptions{fieldLabelModifier = drop 4} ''Cite)
$(deriveJSON defaultOptions{fieldLabelModifier = drop 5} ''Entry)
